Bug 249919 - [NEW PORT] editors/linux-bcompare: compare, sync, and merge files and folders (X11)
Summary: [NEW PORT] editors/linux-bcompare: compare, sync, and merge files and folders...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kevin Bowling
URL: https://www.scootersoftware.com/featu...
Keywords:
Depends on:
Blocks:
 
Reported: 2020-09-26 16:06 UTC by Matías Pizarro
Modified: 2021-06-15 22:40 UTC (History)
2 users (show)

See Also:


Attachments
Initial port submission (43.70 KB, application/x-shellscript)
2020-09-26 16:06 UTC, Matías Pizarro
no flags Details
New version, with improved installation stages (41.35 KB, application/x-shellscript)
2020-09-27 16:58 UTC, Matías Pizarro
no flags Details
v4.3.7 (41.50 KB, patch)
2020-10-04 15:14 UTC, Matías Pizarro
no flags Details | Diff
v4.3.7 (41.50 KB, text/plain)
2020-10-04 15:16 UTC, Matías Pizarro
no flags Details
An updated version of the initial shar for this port (122.46 KB, text/plain)
2021-05-21 22:23 UTC, Matías Pizarro
no flags Details
Initial port shar v4 (41.53 KB, text/plain)
2021-05-22 16:37 UTC, Matías Pizarro
no flags Details
Initial port shar v5 (42.94 KB, text/plain)
2021-05-30 14:07 UTC, Matías Pizarro
matias: maintainer-approval+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matías Pizarro 2020-09-26 16:06:29 UTC
Created attachment 218331 [details]
Initial port submission

Compare, sync, and merge files and folders (X11)
Works for i386 and amd64
http://scootersoftware.com/
Comment 1 Matías Pizarro 2020-09-27 16:58:35 UTC
Created attachment 218363 [details]
New version, with improved installation stages

Hi,

I improved the installation (I think) and attached a new shar (v2) for the full port. Please disrgard the previous one
Comment 2 Matías Pizarro 2020-10-04 15:14:31 UTC
Created attachment 218519 [details]
v4.3.7

Patch updated to latest version (v4.3.7, Oct 2nd)
Comment 3 Matías Pizarro 2020-10-04 15:16:43 UTC
Created attachment 218520 [details]
v4.3.7

Patch updated to latest version (v4.3.7, Oct 2nd)
* previously uploaded under the wrong format
Comment 4 Matías Pizarro 2021-05-21 22:23:05 UTC
Created attachment 225160 [details]
An updated version of the initial shar for this port

Hi Mark.

I have updated the initial for this port. Is there something I can do to get this port considered?

Best,
Matías
Comment 5 Matías Pizarro 2021-05-22 16:37:04 UTC
Created attachment 225181 [details]
Initial port shar v4
Comment 6 Matías Pizarro 2021-05-30 14:07:36 UTC
Created attachment 225376 [details]
Initial port shar v5

Reformat port based on portfmt and portclippy feedback
Comment 7 Matías Pizarro 2021-05-30 14:24:09 UTC
This is the initial shar file.

The port ships with integrations for KDE, XFCE, Thunar, Konqueror, Nautilus, Nemo and:
 * installs icons
 * installs desktop entry
 * requires Linuxulator
 * installs ${PREFIX}/bin/bcompare that bootstraps the linux application
 * includes binary, config files, custom libraries and integration files 

passes QA
  - portlint: OK (looks fine.)
  - testport: OK (poudriere: 130amd64, 130i386)
  - portclippy: OK (all green)
  - portfmt -D: OK (no warning)
Comment 8 Matías Pizarro 2021-05-30 14:27:45 UTC
editors/linux-bcompare: A GUI tool to compare, sync, and merge files and folders 

This is the initial shar file.

The port ships with integrations for KDE, XFCE, Thunar, Konqueror, Nautilus, Nemo and:
 * installs icons
 * installs desktop entry
 * requires Linuxulator
 * installs ${PREFIX}/bin/bcompare that bootstraps the linux application
 * includes binary, config files, custom libraries and integration files 

passes QA
  - portlint: OK (looks fine.)
  - testport: OK (poudriere: 130amd64, 130i386)
  - portclippy: OK (all green)
  - portfmt -D: OK (no warning)
Comment 9 Matías Pizarro 2021-05-30 14:50:55 UTC
editors/linux-bcompare: A GUI tool to compare, sync, and merge files and folders 

This is the initial shar file.

The port ships with integrations for KDE, XFCE, Thunar, Konqueror, Nautilus, Nemo and:
 * installs icons
 * installs desktop entry
 * requires Linuxulator
 * installs ${PREFIX}/bin/bcompare that bootstraps the linux application
 * includes binary, config files, custom libraries and integration files 
 * includes license

This port installs a trial version that includes Pro and Standard features for evaluation purposes.

passes QA
  - portlint: OK (looks fine.)
  - testport: OK (poudriere: 130amd64, 130i386)
  - portclippy: OK (all green)
  - portfmt -D: OK (no warning)

(this comment obsoletes all previous comments)
Comment 10 commit-hook freebsd_committer 2021-06-15 22:39:59 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=e7e061231034c6db00196d59174f5f23ae74c17e

commit e7e061231034c6db00196d59174f5f23ae74c17e
Author:     Matías Pizarro <matias@pizarro.net>
AuthorDate: 2021-06-15 22:26:53 +0000
Commit:     Kevin Bowling <kbowling@FreeBSD.org>
CommitDate: 2021-06-15 22:39:22 +0000

    editors/linux-bcompare: compare/sync/merge tool

    https://www.scootersoftware.com/features.php

    PR:             249919
    Approved by:    new maintainer

 editors/Makefile                                   |   1 +
 editors/linux-bcompare/Makefile (new)              |  84 ++++
 editors/linux-bcompare/distinfo (new)              |   5 +
 editors/linux-bcompare/files/LICENSE.txt (new)     | 154 ++++++
 .../files/extra-patch-usr_bin_bcompare_amd64 (new) |  44 ++
 .../files/extra-patch-usr_bin_bcompare_i386 (new)  |  44 ++
 editors/linux-bcompare/files/nosched.c (new)       |  35 ++
 editors/linux-bcompare/pkg-descr (new)             |   5 +
 editors/linux-bcompare/pkg-plist (new)             | 544 +++++++++++++++++++++
 9 files changed, 916 insertions(+)
Comment 11 Kevin Bowling freebsd_committer 2021-06-15 22:40:27 UTC
Added with minor modifications.  Please send git patches in the future.  Thanks for your contribution!